com.trendmicro.ds.platform.rest.object

## Class ReportTemplate

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.ReportTemplate

-     public class ReportTemplate
      extends java.lang.Object

  Report template details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReportTemplate.Format` Report format.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportTemplate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReportTemplate` | `addSupportedFormat(ReportTemplate.Format supportedFormat)` Add a supported format to the list of supported formats.
    `java.lang.Integer` | `getID()` Get the report template identifier.
    `java.lang.String` | `getName()` Get the report template name.
    `java.util.List<ReportTemplate.Format>` | `getSupportedFormats()` Get the supported formats for this report type.
    `java.lang.Boolean` | `isHostFilterSupported()` Is a host filter supported for this report type?
    `java.lang.Boolean` | `isTagFilterSupported()` Is a tag filter supported for this report type?
    `java.lang.Boolean` | `isTimeFilterSupported()` Is a time filter supported for this report type?
    `void` | `setHostFilterSupported(java.lang.Boolean hostFilterSupported)` Set the flag to indicate that a host filter is supported.
    `void` | `setID(java.lang.Integer id)` Set the report template identifier.
    `void` | `setName(java.lang.String name)` Set the report template name.
    `void` | `setSupportedFormats(java.util.List<ReportTemplate.Format> supportedFormats)` Set the supported formats for this report type.
    `void` | `setTagFilterSupported(java.lang.Boolean tagFilterSupported)` Set the flag to indicate that a host filter is supported.
    `void` | `setTimeFilterSupported(java.lang.Boolean timeFilterSupported)` Set the flag to indicate that a time filter is supported.
    `java.lang.String` | `toString()`
    `ReportTemplate` | `withHostFilterSupported(java.lang.Boolean hostFilterSupported)` Set the flag to indicate that a host filter is supported.
    `ReportTemplate` | `withID(java.lang.Integer id)` Set the report template identifier.
    `ReportTemplate` | `withName(java.lang.String name)` Set the report template name.
    `ReportTemplate` | `withSupportedFormats(java.util.List<ReportTemplate.Format> supportedFormats)` Set the supported formats for this report type.
    `ReportTemplate` | `withSupportedFormats(ReportTemplate.Format... supportedFormats)` Set the supported formats for this report type.
    `ReportTemplate` | `withTagFilterSupported(java.lang.Boolean tagFilterSupported)` Set the flag to indicate that a host filter is supported.
    `ReportTemplate` | `withTimeFilterSupported(java.lang.Boolean timeFilterSupported)` Set the flag to indicate that a time filter is supported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportTemplate

          public ReportTemplate()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the report template identifier.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the report template identifier.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the report template identifier.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the report template identifier.

    - #### withID

          public ReportTemplate withID(java.lang.Integer id)

      Set the report template identifier.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the report template identifier.
      Returns:
        the updated ReportTemplate object.

    - #### getName

          public java.lang.String getName()

      Get the report template name.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the report template name.

    - #### setName

          public void setName(java.lang.String name)

      Set the report template name.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `name` - the report template name.

    - #### withName

          public ReportTemplate withName(java.lang.String name)

      Set the report template name.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `name` - the report template name.
      Returns:
        the updated ReportTemplate object.

    - #### isTimeFilterSupported

          public java.lang.Boolean isTimeFilterSupported()

      Is a time filter supported for this report type?

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        `true` if a time filter is supported.

    - #### setTimeFilterSupported

          public void setTimeFilterSupported(java.lang.Boolean timeFilterSupported)

      Set the flag to indicate that a time filter is supported.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `timeFilterSupported` - the flag to configure this setting.

    - #### withTimeFilterSupported

          public ReportTemplate withTimeFilterSupported(java.lang.Boolean timeFilterSupported)

      Set the flag to indicate that a time filter is supported.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `timeFilterSupported` - the flag to configure this setting.
      Returns:
        the updated ReportTemplate object.

    - #### isHostFilterSupported

          public java.lang.Boolean isHostFilterSupported()

      Is a host filter supported for this report type?

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        `true` if a host filter is supported.

    - #### setHostFilterSupported

          public void setHostFilterSupported(java.lang.Boolean hostFilterSupported)

      Set the flag to indicate that a host filter is supported.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `hostFilterSupported` - the flag to configure this setting.

    - #### withHostFilterSupported

          public ReportTemplate withHostFilterSupported(java.lang.Boolean hostFilterSupported)

      Set the flag to indicate that a host filter is supported.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `hostFilterSupported` - the flag to configure this setting.
      Returns:
        the updated ReportTemplate object.

    - #### isTagFilterSupported

          public java.lang.Boolean isTagFilterSupported()

      Is a tag filter supported for this report type?

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        `true` if a tag filter is supported

    - #### setTagFilterSupported

          public void setTagFilterSupported(java.lang.Boolean tagFilterSupported)

      Set the flag to indicate that a host filter is supported.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `tagFilterSupported` - the flag to configure this setting.

    - #### withTagFilterSupported

          public ReportTemplate withTagFilterSupported(java.lang.Boolean tagFilterSupported)

      Set the flag to indicate that a host filter is supported.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `tagFilterSupported` - the flag to configure this setting.
      Returns:
        the updated ReportTemplate object.

    - #### getSupportedFormats

          public java.util.List<ReportTemplate.Format> getSupportedFormats()

      Get the supported formats for this report type.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the supported formats for this report type.

    - #### setSupportedFormats

          public void setSupportedFormats(java.util.List<ReportTemplate.Format> supportedFormats)

      Set the supported formats for this report type.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `supportedFormats` - the supported formats for this report type.

    - #### withSupportedFormats

          public ReportTemplate withSupportedFormats(java.util.List<ReportTemplate.Format> supportedFormats)

      Set the supported formats for this report type.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `supportedFormats` - the supported formats for this report type.
      Returns:
        the updated ReportTemplate object.

    - #### withSupportedFormats

          public ReportTemplate withSupportedFormats(ReportTemplate.Format... supportedFormats)

      Set the supported formats for this report type.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `supportedFormats` - the supported formats for this report type.
      Returns:
        the updated ReportTemplate object.

    - #### addSupportedFormat

          public ReportTemplate addSupportedFormat(ReportTemplate.Format supportedFormat)

      Add a supported format to the list of supported formats.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `supportedFormat` - the supported format to add.
      Returns:
        the updated ReportTemplate object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.